# sitelib for noarch packages, sitearch for others (remove the unneeded one)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}

Name:           python-carddav
Version:        0.4.1
Release:        5%{?dist}
Summary:        Python CardDAV client compatible with mutt

License:        MIT
URL:            http://lostpackets.de/pycarddav/
Source:         http://lostpackets.de/pycarddav/downloads/pyCardDAV-0.4.1.tar.gz
Patch0:         %{name}-remove-shebangs.patch

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
Requires:       python-vobject
Requires:       python-urwid
Requires:       python-requests
Requires:       python-lxml

%description
Python library and front-end for syncing CardDAV


%prep
%setup -q -n pyCardDAV-%{version}
rm -rf pyCardDAV.egg-info
%patch0

%build
%{__python} setup.py build


%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

 
%files
%doc README.rst README.txt pycard.conf.sample
%{python_sitelib}/*
%{_bindir}/pc_query
%{_bindir}/pycard-import
%{_bindir}/pycardsyncer


%changelog
* Thu Feb 20 2014 Patrick Uiterwijk (LOCAL) <puiterwijk@redhat.com> - 0.4.1-5
- Require python-lxml

* Thu Jan 09 2014 Patrick Uiterwijk <puiterwijk@redhat.com> - 0.4.1-4
- Require python-requests (BZ #1047915)

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri May 03 2013 Patrick Uiterwijk <puiterwijk@gmail.com> - 0.4.1-2
- Initial packaging

